abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 16:00 | Nová verze

Byl vydán Mozilla Firefox 51.0. Z novinek lze upozornit například na upozorňování na přihlašování přes nešifrované spojení (HTTP), podporu pro přehrávání bezeztrátového formátu FLAC nebo podporu WebGL 2. Podrobné informace v poznámkách k vydání a na stránce věnované vývojářům. Řešeny jsou také bezpečnostní chyby.

Ladislav Hagara | Komentářů: 1
23.1. 17:25 | IT novinky

Do prodeje (Farnell) se dostal jednodeskový počítač Tinker Board (unboxing). Jedná se o konkurenci Raspberry Pi 3 od společnosti Asus. Porovnání (jpg) těchto počítačů například na CNXSoft. Cena Tinker Boardu je 55 £.

Ladislav Hagara | Komentářů: 15
23.1. 14:44 | Zajímavý projekt

Byla zveřejněna pravidla hackerské soutěže Pwn2Own 2017, jež proběhne od 15. do 17. března v rámci bezpečnostní konference CanSecWes ve Vancouveru. Soutěžit se bude o více než milion dolarů v pěti kategoriích. Letos se bude útočit i na Ubuntu. Jedná se již o 10. ročník této soutěže.

Ladislav Hagara | Komentářů: 2
23.1. 13:33 | Nová verze

Po sedmi měsících vývoje od vydání verze 5.7 byla vydána verze 5.8 (YouTube) toolkitu Qt. Z novinek lze zmínit například Qt Lite pro vestavěná zařízení. Nově jsou plně podporovány moduly Qt Wayland Compositor (YouTube) a Qt SCXML (YouTube). Současně byla vydána verze 4.2.1 integrovaného vývojového prostředí (IDE) Qt Creator.

Ladislav Hagara | Komentářů: 1
23.1. 11:52 | Pozvánky

Lednový Prague Containers Meetup se koná ve čtvrtek 26. ledna 2017 od 18:00 v Apiary, Pernerova 49, Praha 8. Přijďte se podívat na přednášky o Enterprise Kubernetes a Jenkins as a code.

little-drunk-jesus | Komentářů: 0
23.1. 11:40 | Pozvánky

Program letošního ročníku konference Prague PostgreSQL Developer Days, která se koná již 15. a 16. února 2017 na ČVUT FIT, Thákurova 9, Praha 6, byl dnes zveřejněn. Najdete ho na stránkách konference včetně anotací přednášek a školení. Registrace na konferenci bude otevřena zítra (24. ledna) v brzkých odpoledních hodinách.

TomasVondra | Komentářů: 0
22.1. 02:20 | Zajímavý článek

David Revoy, autor open source webového komiksu Pepper&Carrot nebo portrétu GNU/Linuxu, upozorňuje na svém blogu, že nový Inkscape 0.92 rozbíjí dokumenty vytvořené v předchozích verzích Inkscape. Problém by měl být vyřešen v Inkscape 0.92.2 [reddit].

Ladislav Hagara | Komentářů: 0
22.1. 02:02 | Komunita

Øyvind Kolås, hlavní vývojář grafických knihoven GEGL a babl, které využívá grafický program GIMP, žádá o podporu na Patreonu. Díky ní bude moci pracovat na vývoji na plný úvazek. Milník 1000 $, který by stačil na holé přežití, se již téměř podařilo vybrat, dalším cílem je dosažení 2500 $, které mu umožní běžně fungovat ve společnosti.

xkomczax | Komentářů: 12
21.1. 23:54 | Pozvánky

DevConf.cz 2017, již devátý ročník jedné z největších akcí zaměřených na Linux a open source ve střední Evropě, proběhne od pátku 27. ledna do neděle 29. ledna v prostorách Fakulty informačních technologií Vysokého učení technického v Brně. Na programu je celá řada zajímavých přednášek a workshopů. Letos je povinná registrace.

Ladislav Hagara | Komentářů: 0
21.1. 22:11 | Nová verze

Byla vydána verze 1.0.0 emulátoru terminálu Terminology postaveného nad EFL (Enlightenment Foundation Libraries). Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (12%)
 (2%)
 (72%)
 (3%)
 (11%)
Celkem 395 hlasů
 Komentářů: 39, poslední včera 19:30
Rozcestník
Reklama

Dotaz: Problém po upgrade GLIBC

16.2.2008 12:52 Jakub
Problém po upgrade GLIBC
Přečteno: 412×
Po upgrade glic už nemužu nic zkompilovat a to ani ručně (configure, make, make install) ani pomocí emerge. Emerge vždy skončí po nějaké krátké době s předem neznámou chybou (emake failed, econf failed atd.). Abych si byl jistej že je to v GLIBC zkusil jsem system znovu nainstalovat a po upgrade glibc na verzi 2.6.1 opět stejný problém.

Odpovědi

26.2.2008 12:48 Jan Kundrát (jkt) | skóre: 27 | blog: jkt | Praha - Bohnice
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
bez konkretni chybove hlasky se radi dost spatne.
26.2.2008 14:19 Miška | skóre: 30 | Praha
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Co zkusit revdep-rebuild, pripadne emerge -1 binutils. Jinak poslat konkretni chybovou hlasku je vzdycky dobrej napad ;-)
26.2.2008 16:34 Lukáš Džunko | skóre: 39 | blog: Jooky | Bratislava
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
este by sa hodilo emerge --info , z akej verzie na aku si updatoval a aky profil pouzivas a ci si nieco spolu s tym emergoval (alebo v tej dobe). (vestica teodora ma dovolenku, sorry :D )
2.3.2008 11:29 Jakub
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Příloha:
Ja bych chybovou hlášku poslal kdyby nebyla pro jakejkoliv program po každym pokusu o jeho instalaci jiná. Někdy to jako The die message nahlásí make failed někdy econf failed někdy no die message a pokud je to dostatečně malej program a stihne se nainstalovat cca do 20s tak se i třeba napotřetí nainstaluje. Ta chyba je vždy jiná a nastane vždy v jiném časti kompilace.

V příloze přikládám výpis emerge --info

A stalo se to při uprade glibc ze základní verze ve stage3 2007.0 na verzi 2.6.1
2.3.2008 12:16 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
No tak v tom případě je chyba v HW. Skontrolovat ram zrušit jakékoliv přetaktování.

Prostě pokud je chyba vždy jiná a v jiném místě to znamená že hapruje HW a nebo pokud jsi překládal tu knihovnu tak blbne ta knihovna.
2.3.2008 13:49 Jakub
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Ale mě veškerý kompilace než se dokončí kompilace glibc fungujou (i když znovu gentoo nainstaluiju tak to funguje dokud neprovedu reinstal glibc a je jedno na jakou verzi dokonce i když ho přeinstaluju tou samou verzí). Kdyz by to byl HW tak by to podle mě nefungovalo už od začátku.
David Watzke avatar 2.3.2008 14:02 David Watzke | skóre: 74 | blog: Blog... | Praha
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Pokud máš cokoliv přetaktovaný, tak to vrať do defaultu, protože to bys musel mít fakt zázračnou glibc, aby naprosto náhodně haprovala.
“Being honest may not get you a lot of friends but it’ll always get you the right ones” ―John Lennon
2.3.2008 14:09 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
A nebo u té knihovny používáš nějakou optimalizaci co se nelíbí tvému HW.
2.3.2008 14:16 Jakub
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Příloha:
nic přetaktovaný nemam a všechny flags ke kompilace který používám jsou vypsaný ve výpisu z emerge --info viz. výše. Jinak je to na NB Acer Aspire 3103WLMi, ještě přikládám soubor .config pro kernel jestli v něm neni něco co by za to mohlo
2.3.2008 14:55 Murry | skóre: 16 | Brno
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Mě se stalo něco podobného, kdysy....
Pomohlo vypnout CFLAGS 'fPIC' a USE 'pic' ...:-)
2.3.2008 18:49 Jakub
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Ale ja USE pic a CFLAGS -fPIC nepoužívám.
2.3.2008 18:54 thl | skóre: 5
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Takové problémy mě vždy donutily opustit stabilní větev a používat ~. tj místo x86 nebo amd64 mám nastaveno ~x86 nebo ~amd64. Subjektivně mi testovací větev přijde spolehlivější a zejména méně problémů s kompilací.
2.3.2008 19:09 Jakub
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
i to sem zkoušel jak novější jádro tak i novější glic a nic
2.3.2008 20:13 thl | skóre: 5
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
a co testnout prvně novější gcc před kompilací čehokoliv?Pak teprve glibc a novější jádro.
2.3.2008 20:17 thl | skóre: 5
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
osobně mám nainstalovanou verzi 4.2.2, protože jsem měl nějaké potíže s kompilací 4.2.3. Stejně netrpělivě čekám na 4.3.x , protože od této verze si budu moci zapnout march=core2 místo march=nocona.
3.3.2008 01:22 Jakub
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
tak sem zkusil nejdřív upgrade gcc na 4.2.3 a pak sem dal emerge -auv world. Všechno šlapalo v pohodě až do chvíle než se nainstaloval novej glibc. Nasledující balíček, což je bc-1.06-r6 skočil s chybou econf failed. A kompilace čehokoliv jinýho skončí tou samou chybou.
tsLnox avatar 3.3.2008 09:50 tsLnox | skóre: 31 | blog: Blog jednoho ukecaného Gentoolemana | Žďár nad Sázavou
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
hm tak to nevim... mě sice (není to tak dlouho) glibc taky trochu rozhodilo systém, ale revdep-rebuild (za otcovy stálé snahy vyhodit mě od PC xD) to nakonec vyřešil

můžu popřát jedině... GL+HF
4.3.2008 13:42 BlackBourne
Rozbalit Rozbalit vše Re: Problém po upgrade GLIBC
Tak už jsem to vyřešil ale nevím přesně co pomohlo udělal sem tři věci : 1) na začátku instalace ještě před kompilací jádra a vůbec čehokoliv sem provedl upgrade gcc a emerge system 2) odstranil jsem z make.conf většinu use flagu 3) glibc jsem kompiloval s use glibc-omitfp

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.